### Class

# Eog JobThumbnail

#### Description

    class Eog.JobThumbnail : Eog.Job {
      parent: EogJob,
      image: EogImage*,
      thumbnail: GdkPixbuf*
    }

No description available.

#### Ancestors

- EogJob
- GObject

#### Constructors

###### eog_job_thumbnail_new

No description available.

#### Instance methods

##### Methods inherited from EogJob (8)

###### eog_job_cancel

No description available.

###### eog_job_get_progress

No description available.

###### eog_job_is_cancelled

No description available.

###### eog_job_is_finished

No description available.

###### eog_job_run

No description available.

###### eog_job_scheduler_add_job

No description available.

###### eog_job_scheduler_add_job_with_priority

No description available.

###### eog_job_set_progress

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EogJob (3)

###### EogJob::cancelled

No description available.

###### EogJob::finished

No description available.

###### EogJob::progress

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EogJobThumbnailClass {
      EogJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EogJobClass`
  No description available.